#pragma once

#include "mlir/IR/DialectRegistry.h"

#include "src/Accelerators/PIM/Dialect/Spatial/SpatialOps.hpp"

namespace onnx_mlir {
namespace spatial {

void registerBufferizableOpInterfaceExternalModels(mlir::DialectRegistry& registry);

void registerONNXBufferizableOpInterfaceExternalModels(mlir::DialectRegistry& registry);

} // namespace spatial
} // namespace onnx_mlir
